Bug 150682 - font rendering artefacts with 1.0.1 at odd DPI
Summary: font rendering artefacts with 1.0.1 at odd DPI
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Blizzard
QA Contact:
URL:
Whiteboard:
Keywords: Regression
: 158822 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-09 16:41 UTC by Joe Orton
Modified: 2018-04-11 19:14 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-09 23:43:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
font rendering artefacts (7.03 KB, image/png)
2005-03-09 16:43 UTC, Joe Orton
no flags Details
my .mozilla/firefox/garble/prefs.js (6.97 KB, text/plain)
2005-03-09 16:48 UTC, Joe Orton
no flags Details

Description Joe Orton 2005-03-09 16:41:15 UTC
Description of problem:
I see some font rending artefacts on one system after updating to
1.0.1. This is reproducible using the Luxi fonts; if I switch to the
Bitstream ones it seems OK.  I'll attach the screenshot segment and
prefs.js.  This system has an odd DPI which caillon said matters:

$ xdpyinfo  | grep dots
  resolution:    85x86 dots per inch

Version-Release number of selected component (if applicable):
firefox-1.0.1-1.3.1

Comment 1 Joe Orton 2005-03-09 16:43:59 UTC
Created attachment 111814 [details]
font rendering artefacts

this is from my Red Hat Intranet home page, possible *the* most exiciting web
page I could find which shows this issue

Comment 2 Joe Orton 2005-03-09 16:48:54 UTC
Created attachment 111815 [details]
my .mozilla/firefox/garble/prefs.js

Comment 3 Warren Togami 2005-05-26 08:14:46 UTC
*** Bug 158822 has been marked as a duplicate of this bug. ***

Comment 4 Warren Togami 2005-05-26 08:16:14 UTC
resolution:    85x83 dots per inch

Samsung SyncMaster 191T (19" LCD monitor)
default xorg settings
1280x1024 resolution


Comment 5 Samuel Allen 2005-06-04 01:46:14 UTC
I am having this problem on Fedora Core 3 with both the Pango-enabled Firefox
1.0.4 and a build of Firefox I downloaded from Mozilla.org. The build from
Mozilla.org is even worse--more text is rendered with this problem.

Has anyone discovered a workaround for this problem? It seems this problem still
exists in Core 4, from the dupe. 

I would think setting the DPI in the font options in Mozilla would fix this
issue, but it doesn't. Is there a Mozilla.org bug on this, or is this problem
specific to Fedora Core?

Comment 6 Matthew Miller 2006-07-10 23:03:58 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 7 Matěj Cepl 2007-06-09 23:43:56 UTC
Reporter, could you confirm please, that this bug still could be reproduced with
the updated release of the supported version of Fedora (FC5, FC6, or F7)?

If yes, please, reopen this bug with additional information how it is possible
to reproduce this bug.

In meantime, I have to close this bug as CANTFIX, because it is reported against
not longer supported distribution.

Thanks in advance.


Note You need to log in before you can comment on or make changes to this bug.